<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: FlattenASAMMDXxml.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_flatten_a_s_a_m_m_d_xxml_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">FlattenASAMMDXxml.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for FlattenASAMMDXxml.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp__incl.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp" id="_flatten_a_s_a_m_m_d_xxml_8hpp">
<area shape="rect" title=" " alt="" coords="855,5,1046,32"/>
<area shape="rect" title=" " alt="" coords="5,80,168,121"/>
<area shape="rect" title=" " alt="" coords="192,80,355,121"/>
<area shape="rect" title=" " alt="" coords="379,80,541,121"/>
<area shape="rect" title=" " alt="" coords="566,80,741,121"/>
<area shape="rect" title=" " alt="" coords="765,80,939,121"/>
<area shape="rect" title=" " alt="" coords="963,80,1138,121"/>
<area shape="rect" title=" " alt="" coords="1163,87,1307,114"/>
<area shape="rect" title=" " alt="" coords="1331,80,1480,121"/>
<area shape="rect" title=" " alt="" coords="1505,87,1639,114"/>
<area shape="rect" title=" " alt="" coords="1664,87,1877,114"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp__dep__incl.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hppdep" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hppdep" id="_flatten_a_s_a_m_m_d_xxml_8hppdep">
<area shape="rect" title=" " alt="" coords="269,5,459,32"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html" title=" " alt="" coords="5,80,256,107"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="290,155,438,196"/>
<area shape="rect" href="get_decl_context_and_decls_8hpp.html" title=" " alt="" coords="330,80,542,107"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html" title=" " alt="" coords="565,80,827,107"/>
</map>
</div>
</div>
<p><a href="_flatten_a_s_a_m_m_d_xxml_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_flatten_ctrl.html">FlattenCtrl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbson_docu_strct.html">bsonDocuStrct</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af6f8a613735677bcd27d169e64a2bacb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#af6f8a613735677bcd27d169e64a2bacb">appendBSONDoc</a> (bsoncxx::builder::basic::document &amp;builder, enum bsoncxx::type &amp;tp, bsoncxx::document::element &amp;el)</td></tr>
<tr class="separator:af6f8a613735677bcd27d169e64a2bacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ae7c111f6f573afd5fa501dad5eae5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a31ae7c111f6f573afd5fa501dad5eae5">appendBSONArray</a> (bsoncxx::builder::basic::array &amp;array_builder, enum bsoncxx::type &amp;tp, bsoncxx::array::element &amp;el)</td></tr>
<tr class="separator:a31ae7c111f6f573afd5fa501dad5eae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecf48ba4ea77ffdbcb4d6b2432891d21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#aecf48ba4ea77ffdbcb4d6b2432891d21">incrementCounters</a> (<a class="el" href="struct_flatten_ctrl.html">FlattenCtrl</a> &amp;ctrl, std::string parent_index)</td></tr>
<tr class="separator:aecf48ba4ea77ffdbcb4d6b2432891d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f1279cdeb2de73176b7a0cacd05d5ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba">flattenBSONCXX</a> (bsoncxx::document::view mdx_bdocview, std::vector&lt; std::pair&lt; std::string, std::string &gt;&gt; history_vec, bsoncxx::stdx::string_view parent_key, <a class="el" href="struct_flatten_ctrl.html">FlattenCtrl</a> &amp;ctrl, std::string ID, std::string arrNo=&quot;none&quot;)</td></tr>
<tr class="separator:a6f1279cdeb2de73176b7a0cacd05d5ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41eefa0f417a930ad5a27102a9575fef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef">flattenRequestedXML</a> (void)</td></tr>
<tr class="separator:a41eefa0f417a930ad5a27102a9575fef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a31ae7c111f6f573afd5fa501dad5eae5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ae7c111f6f573afd5fa501dad5eae5">&#9670;&nbsp;</a></span>appendBSONArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void appendBSONArray </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::array &amp;&#160;</td>
          <td class="paramname"><em>array_builder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">enum bsoncxx::type &amp;&#160;</td>
          <td class="paramname"><em>tp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bsoncxx::array::element &amp;&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp_a31ae7c111f6f573afd5fa501dad5eae5_icgraph.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp_a31ae7c111f6f573afd5fa501dad5eae5_icgraph" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp_a31ae7c111f6f573afd5fa501dad5eae5_icgraph" id="_flatten_a_s_a_m_m_d_xxml_8hpp_a31ae7c111f6f573afd5fa501dad5eae5_icgraph">
<area shape="rect" title=" " alt="" coords="592,5,735,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba" title=" " alt="" coords="416,5,544,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="207,5,368,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="af6f8a613735677bcd27d169e64a2bacb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6f8a613735677bcd27d169e64a2bacb">&#9670;&nbsp;</a></span>appendBSONDoc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void appendBSONDoc </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>builder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">enum bsoncxx::type &amp;&#160;</td>
          <td class="paramname"><em>tp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bsoncxx::document::element &amp;&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp_af6f8a613735677bcd27d169e64a2bacb_icgraph.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp_af6f8a613735677bcd27d169e64a2bacb_icgraph" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp_af6f8a613735677bcd27d169e64a2bacb_icgraph" id="_flatten_a_s_a_m_m_d_xxml_8hpp_af6f8a613735677bcd27d169e64a2bacb_icgraph">
<area shape="rect" title=" " alt="" coords="592,5,724,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba" title=" " alt="" coords="416,5,544,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="207,5,368,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a6f1279cdeb2de73176b7a0cacd05d5ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f1279cdeb2de73176b7a0cacd05d5ba">&#9670;&nbsp;</a></span>flattenBSONCXX()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flattenBSONCXX </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::document::view&#160;</td>
          <td class="paramname"><em>mdx_bdocview</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; std::string, std::string &gt;&gt;&#160;</td>
          <td class="paramname"><em>history_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bsoncxx::stdx::string_view&#160;</td>
          <td class="paramname"><em>parent_key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_flatten_ctrl.html">FlattenCtrl</a> &amp;&#160;</td>
          <td class="paramname"><em>ctrl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>ID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>arrNo</em> = <code>&quot;none&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_cgraph.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_cgraph" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_cgraph" id="_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_cgraph">
<area shape="rect" title=" " alt="" coords="5,81,133,108"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a31ae7c111f6f573afd5fa501dad5eae5" title=" " alt="" coords="197,5,340,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#af6f8a613735677bcd27d169e64a2bacb" title=" " alt="" coords="203,56,335,83"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#aecf48ba4ea77ffdbcb4d6b2432891d21" title=" " alt="" coords="195,107,342,133"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="181,157,356,184"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_icgraph.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_icgraph" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_icgraph" id="_flatten_a_s_a_m_m_d_xxml_8hpp_a6f1279cdeb2de73176b7a0cacd05d5ba_icgraph">
<area shape="rect" title=" " alt="" coords="416,5,544,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="207,5,368,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a41eefa0f417a930ad5a27102a9575fef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41eefa0f417a930ad5a27102a9575fef">&#9670;&nbsp;</a></span>flattenRequestedXML()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flattenRequestedXML </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_cgraph.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_cgraph" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_cgraph" id="_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,167,159"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="241,31,361,57"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba" title=" " alt="" coords="237,107,365,133"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="246,157,355,184"/>
<area shape="rect" href="postgres_interface_8hpp.html#a04ff0f05467fdbf12c44aee405f98832" title=" " alt="" coords="215,208,387,235"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="442,5,602,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a31ae7c111f6f573afd5fa501dad5eae5" title=" " alt="" coords="451,56,593,83"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#af6f8a613735677bcd27d169e64a2bacb" title=" " alt="" coords="456,107,588,133"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#aecf48ba4ea77ffdbcb4d6b2432891d21" title=" " alt="" coords="449,157,595,184"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="435,208,609,235"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_icgraph.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_icgraph" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_icgraph" id="_flatten_a_s_a_m_m_d_xxml_8hpp_a41eefa0f417a930ad5a27102a9575fef_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,368,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="aecf48ba4ea77ffdbcb4d6b2432891d21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecf48ba4ea77ffdbcb4d6b2432891d21">&#9670;&nbsp;</a></span>incrementCounters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void incrementCounters </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_flatten_ctrl.html">FlattenCtrl</a> &amp;&#160;</td>
          <td class="paramname"><em>ctrl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>parent_index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_flatten_a_s_a_m_m_d_xxml_8hpp_aecf48ba4ea77ffdbcb4d6b2432891d21_icgraph.png" border="0" usemap="#_flatten_a_s_a_m_m_d_xxml_8hpp_aecf48ba4ea77ffdbcb4d6b2432891d21_icgraph" alt=""/></div>
<map name="_flatten_a_s_a_m_m_d_xxml_8hpp_aecf48ba4ea77ffdbcb4d6b2432891d21_icgraph" id="_flatten_a_s_a_m_m_d_xxml_8hpp_aecf48ba4ea77ffdbcb4d6b2432891d21_icgraph">
<area shape="rect" title=" " alt="" coords="592,5,739,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba" title=" " alt="" coords="416,5,544,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="207,5,368,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html">FlattenASAMMDXxml.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
